import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import { GetDeploymentInput, GetDeploymentOutput } from "../models/models_0";
export { __MetadataBearer };
export interface GetDeploymentCommandInput extends GetDeploymentInput {}
export interface GetDeploymentCommandOutput
  extends GetDeploymentOutput,
    __MetadataBearer {}
declare const GetDeploymentCommand_base: {
  new (
    input: GetDeploymentCommandInput
  ): import("@smithy/core/client").CommandImpl<
    GetDeploymentCommandInput,
    GetDeploymentCommandOutput,
    import("..").CodeDeployClientResolvedConfig,
    import("..").ServiceInputTypes,
    import("..").ServiceOutputTypes
  >;
  new (
    input: GetDeploymentCommandInput
  ): import("@smithy/core/client").CommandImpl<
    GetDeploymentCommandInput,
    GetDeploymentCommandOutput,
    import("..").CodeDeployClientResolvedConfig,
    import("..").ServiceInputTypes,
    import("..").ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/types").EndpointParameterInstructions;
};
export declare class GetDeploymentCommand extends GetDeploymentCommand_base {
  protected static __types: {
    api: {
      input: GetDeploymentInput;
      output: GetDeploymentOutput;
    };
    sdk: {
      input: GetDeploymentCommandInput;
      output: GetDeploymentCommandOutput;
    };
  };
}
